get_sound_input_cap_parm(3)

NAME
get_sound_input_cap_parm - Detects if the specified recording parameters are supported. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int get_sound_input_cap_parm(int rate, int bits, int stereo);

DESCRIPTION
Checks whether the specified recording frequency, number of bits, and mono/stereo mode are supported (and how) by the current audio driver.

RETURN VALUE
The function returns one of the following possible values:
   0  = It is impossible to record in this format.
   1  = Recording is possible, but audio output
        will be suspended.
   2  = Recording is possible at the same time as
        playing other sounds (full duplex sound card).
   -n = Sampling rate not supported, but rate 'n'
        would work instead.

SEE ALSO
start_sound_input(3), get_sound_input_cap_bits(3), get_sound_input_cap_rate(3), get_sound_input_cap_stereo(3)